﻿using System;

using Xamarin.Forms;

namespace Xamarin.DVI.Form
{
	public class EmployeePage : ContentPage
	{
		public EmployeePage ()
		{
//			Content = new StackLayout { 
//				Children = {
//					new Label { Text = "Hello ContentPage" }
//				}
//			};

			this.Title="Employee";
			var listView = new ListView
			{
				RowHeight = 40
			};
			listView.ItemsSource = new string []
			{
				"Employee 1",
				"Employee 2",
				"Employee 3",
				"Employee 4",
				"Employee 5"
			};

			listView.ItemSelected += async (sender, e) => {
				//var todoItem = (TodoItem)e.SelectedItem;
				var EquipPage = new EquipmentPage (); // so the new page shows correct data
				await Navigation.PushAsync(EquipPage);
			};

			Content = new StackLayout
			{
				VerticalOptions = LayoutOptions.FillAndExpand,
				Children = { listView }
			};
		}
	}
}


