﻿using System;

using Xamarin.Forms;

namespace Xamarin.DVI.Form
{
    public class EquipmentPage : ContentPage
    {

        public EquipmentPage()
        {
            this.Title = "Equipment";
//			ToolbarItems.Add(new ToolbarItem("Filter", "filter.png", async () =>
//				{
//					var page = new ContentPage();
//					var result = await page.DisplayAlert("Title", "Message", "Accept", "Cancel");
//					Debug.WriteLine("success: {0}", result);
//				}));

            ToolbarItems.Add(new ToolbarItem
                {
                    Name = "Camera",
                    Order = ToolbarItemOrder.Primary,
                    Command = new Command(() => Navigation.PushAsync(new CameraPage()))
                });
            //NavigationPage.set
            var listView = new ListView
            {
                RowHeight = 40
            };
            listView.ItemsSource = new string []
            {
                "Equipment 1",
                "Equipment 2",
                "Equipment 3",
                "Equipment 4",
                "Equipment 5"
            };

            listView.ItemSelected += async (sender, e) => await DisplayAlert("Alert", "Questionnaire not available", "OK");

            Content = new StackLayout
            {
                VerticalOptions = LayoutOptions.FillAndExpand,
                Children = { listView }
            };
        }
    }
}


