﻿using System;
using Xamarin.Forms;
using System.Collections.Generic;

namespace Xamarin.DVI.Form
{
	public class MenuListData : List<MenuItem>
	{
		public MenuListData ()
		{
			this.Add (new MenuItem () { 
				Title = "Project", 
				IconSource = "projectsIcon_grey.png", 
				TargetType = typeof(ProjectPage)
			});

			this.Add (new MenuItem () { 
				Title = "Tool", 
				IconSource = "toolsIcon_grey.png", 
				TargetType = typeof(ToolPage)
			});

			this.Add (new MenuItem () { 
				Title = "Setting", 
				IconSource = "settingIcons.png", 
				TargetType = typeof(SettingPage)
			});
					
		}
	}
}

