﻿using System;

using Xamarin.Forms;

namespace Xamarin.DVI.Form
{
	public class ProjectPage : ContentPage
	{
		public ProjectPage ()
		{
			this.Title="Project";
			var listView = new ListView
			{
				RowHeight = 40,
				//BackgroundColor = Color.Green
			};
			listView.ItemsSource = new string []
			{
				"Project 1",
				"Project 2",
				"Project 3",
				"Project 4",
				"Project 5"
			};

			listView.ItemSelected += async (sender, e) => {
				//var todoItem = (TodoItem)e.SelectedItem;
				var empPage = new EmployeePage (); // so the new page shows correct data
				await Navigation.PushAsync(empPage);
			};
			Content = new StackLayout
			{
				VerticalOptions = LayoutOptions.FillAndExpand,
				Children = { listView }
			};
		}
	}
}


